Mailinglist Archive: opensuse-updates (37 mails)

< Previous Next >
openSUSE-SU-2015:1401-1: moderate: Security update for subversion
openSUSE Security Update: Security update for subversion
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1401-1
Rating: moderate
References: #939514 #939517
Cross-References: CVE-2015-3184 CVE-2015-3187
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

subversion was updated to version 1.8.14 to fix two security issues.

These security issues were fixed:
- CVE-2015-3187: Information leak (only paths) that were hidden by
path-based authz (bsc#939517).
- CVE-2015-3184: Information leak in mixed anonymous/authenticated httpd
(dav) configurations (bsc#939514).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-549=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-549=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.8.14-2.17.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.8.14-2.17.1
libsvn_auth_kwallet-1-0-1.8.14-2.17.1
libsvn_auth_kwallet-1-0-debuginfo-1.8.14-2.17.1
subversion-1.8.14-2.17.1
subversion-debuginfo-1.8.14-2.17.1
subversion-debugsource-1.8.14-2.17.1
subversion-devel-1.8.14-2.17.1
subversion-perl-1.8.14-2.17.1
subversion-perl-debuginfo-1.8.14-2.17.1
subversion-python-1.8.14-2.17.1
subversion-python-ctypes-1.8.14-2.17.1
subversion-python-debuginfo-1.8.14-2.17.1
subversion-ruby-1.8.14-2.17.1
subversion-ruby-debuginfo-1.8.14-2.17.1
subversion-server-1.8.14-2.17.1
subversion-server-debuginfo-1.8.14-2.17.1
subversion-tools-1.8.14-2.17.1
subversion-tools-debuginfo-1.8.14-2.17.1

- openSUSE 13.2 (noarch):

subversion-bash-completion-1.8.14-2.17.1

- openSUSE 13.1 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.8.14-2.39.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.8.14-2.39.1
libsvn_auth_kwallet-1-0-1.8.14-2.39.1
libsvn_auth_kwallet-1-0-debuginfo-1.8.14-2.39.1
subversion-1.8.14-2.39.1
subversion-debuginfo-1.8.14-2.39.1
subversion-debugsource-1.8.14-2.39.1
subversion-devel-1.8.14-2.39.1
subversion-perl-1.8.14-2.39.1
subversion-perl-debuginfo-1.8.14-2.39.1
subversion-python-1.8.14-2.39.1
subversion-python-debuginfo-1.8.14-2.39.1
subversion-ruby-1.8.14-2.39.1
subversion-ruby-debuginfo-1.8.14-2.39.1
subversion-server-1.8.14-2.39.1
subversion-server-debuginfo-1.8.14-2.39.1
subversion-tools-1.8.14-2.39.1
subversion-tools-debuginfo-1.8.14-2.39.1

- openSUSE 13.1 (noarch):

subversion-bash-completion-1.8.14-2.39.1


References:

https://www.suse.com/security/cve/CVE-2015-3184.html
https://www.suse.com/security/cve/CVE-2015-3187.html
https://bugzilla.suse.com/939514
https://bugzilla.suse.com/939517


< Previous Next >
This Thread
  • No further messages